Skip to main content
GET
/
wealth
/
accounts
/
{account_id}
/
risk-assessments
List risk assessments
curl --request GET \
  --url https://service.bluumfinance.com/v1/wealth/accounts/{account_id}/risk-assessments \
  --header 'Authorization: Basic <encoded-value>'
{
  "assessments": [
    {
      "assessment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "questionnaire_id": "<string>",
      "questionnaire_version": 123,
      "computed_risk_score": 5,
      "risk_tolerance": "conservative",
      "volatility_tolerance": "low",
      "investment_experience": "none",
      "years_investing": 123,
      "completed_at": "2023-11-07T05:31:56Z",
      "expires_at": "2023-11-07T05:31:56Z",
      "status": "active",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total_count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.bluumfinance.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Path Parameters

account_id
string<uuid>
required

The investor account ID

Query Parameters

status
enum<string>

Filter by assessment status

Available options:
active,
expired,
superseded

Response

List of risk assessments

assessments
object[]
total_count
integer